package com.example.sam4s;

import com.example.sam4s.R;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;

public class cl_Main extends Activity implements Runnable {
	static final int ACTIVITY_MAIN = 2918;
	static final int ACTIVITY_CONNECT_MODE = ACTIVITY_MAIN+1;
	static final int ACTIVITY_MANUAL = ACTIVITY_MAIN+2;
	static final int ACTIVITY_SEARCH = ACTIVITY_MAIN+3;
	static final int ACTIVITY_MENU = ACTIVITY_MAIN+4;
	static final int ACTIVITY_TEXT = ACTIVITY_MAIN+5;
	static final int ACTIVITY_BARCODE = ACTIVITY_MAIN+6;
	static final int ACTIVITY_BARCODE2D = ACTIVITY_MAIN+7;
	static final int ACTIVITY_CUT = ACTIVITY_MAIN+8;
	static final int ACTIVITY_IMAGE = ACTIVITY_MAIN+9;
	static final int ACTIVITY_PAGEMODE = ACTIVITY_MAIN+10;	
	
	@Override  
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		Thread finishThread = new Thread(this);
		finishThread.start();	
	}

	@Override
	public void run() {
		try 
		{
			Thread.sleep(1500);
		} 
		catch (InterruptedException e) 
		{
			e.printStackTrace();
		}
		
		Intent ConnectModeIntent = new Intent(getBaseContext(), cl_ConnectMode.class);
		startActivityForResult(ConnectModeIntent, ACTIVITY_CONNECT_MODE);  	
	}
	
    static void showMsg(String msg, Context context){
        AlertDialog.Builder alertDialog = new AlertDialog.Builder(context);
        alertDialog.setMessage(msg);
        alertDialog.setPositiveButton("OK", new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog,int whichButton) {
                return ;
            }
        });
        alertDialog.create();
        alertDialog.show();
    }
}
